Subject: [MMUSIC] RTSP From header issue

From: "Ingemar Johansson S" <[email-masked]>
Date: Thu, 8 Jan 2009 09:33:25 +0100

Hi

Going through the syntax of the parts that handles URI's I found a possible issue with the syntax of the From header. 
1) In section 16.23 in RTSP 2.0 there is only a reference section 14.22 in RFC2616 which contains a rather simple definition.
       From   = "From" ":" mailbox
Section 20.2.3 in RTSP 2.0 however contains a much more elaborate definition with extensions (from-param). 
Isn't it better to specify something in section 16.23 like "The From header is defined in in [H14.22] but is extended in this specification" ?

2) Looking at the syntax I see a risk that occasional ";" in the URI can clash with URI's that precedes each optional from-param, making parsing complicated.
The ABNF for the From header is
   From           =  "From" HCOLON from-spec
   from-spec      =  ( name-addr / addr-spec ) *( SEMI from-param )
   name-addr      =  [ display-name ] LAQUOT addr-spec RAQUOT
   addr-spec      =  RTSP-URI / absolute-URI
   absolute-URI   =  < As defined in RFC 3986>
   display-name   =  *(token LWS) / quoted-string
   from-param     =  tag-param / generic-param
   tag-param      =  "tag" EQUAL token

Here I would suggest to change the addr-spec definition to 
   addr-spec      =  DQ ( RTSP-URI / absolute-URI ) DQ
As a comparision, Accept-Credentials, which has some similarities with the >From header, use DQ around the URI.

3) In general. The idea to use DQ around URI's in some cases and in some cases not may cause some headache for the implementor. Sure, one should read the ABNF but I would say that it would be more consistent to always use DQ around URI's in headers regardless if they are needed or not.

/Ingemar

******************************************* 
Ingemar Johansson 
Senior Research Engineer, IETF "nethead" 
EAB/TVP - Multimedia Technologies 
Ericsson Research Ericsson AB 
Box 920 S-971 28 Luleå, Sweden 
Tel: +46 (0)10 7143042 
ECN: 852-43042 
ECC: 852-19042
Mobile: +46 (0)730 783289 
Visit http://labs.ericsson.com !
******************************************* 
_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic

---

From: "Rémi Denis-Courmont" <[email-masked]>
Date: Thu, 8 Jan 2009 10:37:40 +0200

On Thursday 08 January 2009 10:33:25 ext Ingemar Johansson S, you wrote:
> Hi
>
> Going through the syntax of the parts that handles URI's I found a possible
> issue with the syntax of the From header. 1) In section 16.23 in RTSP 2.0
> there is only a reference section 14.22 in RFC2616 which contains a rather
> simple definition. From   = "From" ":" mailbox
> Section 20.2.3 in RTSP 2.0 however contains a much more elaborate
> definition with extensions (from-param). Isn't it better to specify
> something in section 16.23 like "The From header is defined in in [H14.22]
> but is extended in this specification" ?

Is anyone using the From: in HTTP or RTSP anyhow? I guess not.

-- 
Rémi Denis-Courmont
Maemo Software, Nokia Devices R&D
_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic